Subject: bug#24857: Anybody needs help to set up a qemu VM for GNU/Hurd?

From: Clément Pit--Claudel <[email-masked]>
Date: Tue, 29 Nov 2016 16:14:03 -0500

Maybe I misunderstood this post?  I…

* …downloaded the GNU Hurd image at https://people.debian.org/~sthibault/hurd-i386/README

* …connected to the qemu VM through SSH:

  kvm -net user,hostfwd=tcp:127.0.0.1:2222-:22 -net nic -drive file=debian-hurd-20160824.img,cache=writeback -m 1G

* …installed emacs' dependencies:

  $ apt install libmagickwand-dev libgtk-3-dev libxpm-dev libjpeg-dev libgif-dev libtiff-dev libgconf2-dev librsvg2-dev libxml2-dev libfreetype6-dev libm17n-dev libotf-dev libsystemd-dev libncurses-dev

* …downloaded emacs' pretest (this was cool)

  cp /ftp://alpha.gnu.org/gnu/emacs/pretest/emacs-25.1.90.tar.xz ./
  tar xf emacs-25.1.90.tar.xz

* …configured

  cd emacs-25.1.90
  ./configure --without-makeinfo

* …compiled

  make -j4

* …started Emacs and ran eww; browsed to gnu.org.

It all worked.  Did I miss something?

Clément.

On 2016-11-04 16:17, Svante Signell wrote:
> Hello,
> 
> In order for you to try out the FTBFS problems of emacs24/25 on
> GNU/Hurd, maybe somebody wants to set up a VM image. The easiest way to
> do that would be to read:
> https://people.debian.org/~sthibault/hurd-i386/installer/cdimage/
> or using a pre-installed image: (3GiB)
> tinyurl.com/6dyly5d
> containing debian-hurd.img.tar.gz